%define api 5
%define major 5
%define oname qt5

%define module qtserialbus

%define qtserialbus %mklibname qt%{api}serialbus %{major}
%define qtserialbusd %mklibname qt%{api}serialbus -d

# Requires qdoc5 and qt5-tools to build
%bcond_with docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.3
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5SerialPort) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtserialbus}
Summary:	Qt Serial Bus library
Group:		System/Libraries

%description -n %{qtserialbus}
Qt Serial Bus library.

%files -n %{qtserialbus}
%{_qt5_bindir}/canbusutil
%{_qt5_libdir}/libQt%{api}SerialBus.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}SerialBus.so.%{major}*
%endif
%{_qt5_plugindir}/canbus/libqtpeakcanbus.so
%{_qt5_plugindir}/canbus/libqtsocketcanbus.so
%{_qt5_plugindir}/canbus/libqttinycanbus.so

#----------------------------------------------------------------------------

%package -n %{qtserialbusd}
Summary:	Development files for the Serial Bus library
Group:		Development/KDE and Qt
Requires:	%{qtserialbus} = %{EVRD}
Requires:	qmake%{api}

%description -n %{qtserialbusd}
Development files for the Serial Bus library.

%files -n %{qtserialbusd}
%{_qt5_includedir}/QtSerialBus
%{_qt5_libdir}/libQt%{api}SerialBus.so
%{_qt5_libdir}/libQt%{api}SerialBus.prl
%{_qt5_libdir}/cmake/Qt%{api}SerialBus
%{_qt5_libdir}/pkgconfig/Qt%{api}SerialBus.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}SerialBus.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_serialbus.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_serialbus_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtserialbus.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/serialbus/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Thu Nov 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (150e4ae) New version 5.9.3


